Skip to main content
Domo Workflows allows you to graphically model a business process into an executable workflow using Business Process Management (BPM) notations and flows. Orchestration capabilities offer robust solutions for integrating internal and external systems, configuring decision logic, and automating activities in a workflow. For more background on Workflows, check out the Knowledge Base for an overview. If you haven’t leveraged Workflows from within Apps before, checkout the guide on hitting a Workflow from an App, which details how to configure your manifest.json file and wire up Workflows to your app.

Start a Workflow


Starts a Workflow and returns details about the Workflow Instance. Code Example
Arguments
Property NameTypeRequiredDescription
workflowAliasStringRequiredThe name given to the Workflow in the manifest
HTTP Request
Request Body The request body accepts an object containing the start parameters required to run the workflow. These parameters are also defined in the manifest.json file and properties in the object should correspond to the aliasName of the parameter.
HTTP Response Returns the information about the instance of the Workflow that was just started. The status property can take the values null, IN_PROGRESS, CANCELED, or COMPLETED. A status of null might be valid. It just means the workflow hasn’t reported back as started yet.

Get Metrics for a Workflow


Returns key metric information about a Workflow. Code Example
Arguments (query parameters)
Property NameTypeRequiredDescription
limitLongOptionallimit of instance metrics returns
offsetLongOptionaloffset for pagination
afterLongOptionalafter a certain time
untilLongOptionalbefore a certain time
statusStringOptionalOnly show instances that have the provided status(es) IN_PROGRESS, CANCELED, COMPLETED
HTTP Request
HTTP Response Returns the information about the instance of the Workflow that was just started. The status property can take the values null, IN_PROGRESS, CANCELED, or COMPLETED. A status of null might be valid. It just means the workflow hasn’t reported back as started yet.

Get Workflow Instance


If you are checking on the status of an existing Workflow instance. Code Example
Arguments
Property NameTypeRequiredDescription
workflowAliasStringRequiredThe name given to the Workflow in the manifest
workflowInstanceIdStringRequiredThe UUID of the Workflow instance
HTTP Request
HTTP Response Returns the information about the instance of the Workflow requested. The status property can take the values null, IN_PROGRESS, CANCELED, or COMPLETED. A status of null might be valid. It just means the workflow hasn’t reported back as started yet.